var express = require('express')
var app  =  express();
const path = require('path')
var http = require('http')
const {Server} = require('socket.io');
const port = process.env.Port || 8080;

app.use(express.static(path.join(__dirname, "public")));
app.set("view engine", "ejs");
app.use(require('cors')())
app.use(express.json());
app.use(express.urlencoded({extended:true}))

const server = http.createServer(app);
const io = new Server(server);

server.listen(port, () => 
{
    app.use('/', require('./routes/routes')(io));
    console.log(`Http-Server UP`);
});
